/*
 *  Copyright (c) 2018 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.free4all;

import eu.univento.commons.server.ServerType;
import eu.univento.core.api.server.ServerSettings;
import eu.univento.free4all.commands.Setloc;
import eu.univento.free4all.listeners.PlayerEvents;
import lombok.Getter;
import org.bukkit.Bukkit;
import org.bukkit.GameMode;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

/**
 * @author joethei
 * @version 0.1
 */
public class Free4All extends JavaPlugin {

    @Getter private static Free4All instance;

    @Override
    public void onEnable() {
        instance = this;
        PluginManager pm = Bukkit.getPluginManager();
        pm.registerEvents(new PlayerEvents(), this);

        new Setloc(this, "setloc", "sets locations");

        ServerSettings.setServerType(ServerType.SECRET_GAME_FREE4ALL);
        ServerSettings.setGameMode(GameMode.ADVENTURE);
        ServerSettings.setGame(true);
        ServerSettings.setGameState("Running");
    }

    @Override
    public void onDisable() {

    }
}