/*
 *  Copyright (c) 2018 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.free4all.commands;

import eu.univento.commons.player.rank.Rank;
import eu.univento.core.api.AutoCommand;
import eu.univento.core.api.Config;
import eu.univento.core.api.player.CustomPlayer;
import eu.univento.free4all.Free4All;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.List;

/**
 * @author joethei
 * @version 1.0
 */
public class Setloc extends AutoCommand<Free4All>{

    public Setloc(Free4All plugin, String command, String description, String... aliases) {
        super(plugin, command, description, aliases);
    }

    @Override
    public boolean execute(CommandSender sender, String label, String[] args) {
        if(sender instanceof Player) {
            CustomPlayer p = CustomPlayer.getPlayer(sender.getName());
            assert p != null;
            if(p.getDatabasePlayer().isAllowed(Rank.SrDeveloper)) {
                if(args.length == 1) {
                    Config.write("FFA.Spawn." + args[0], p.getLocation());
                    p.sendMessage("§ePosition gesetzt");
                }else {
                    p.sendMessage("§c/setloc <Zahl>");
                }
            }else {
                p.sendMessage("§cDazu hast du keine Rechte");
            }
        }else {
            sender.sendMessage("");
        }
        return false;
    }

    @Override
    public List<String> tabComplete(CommandSender sender, String label, String[] args) {
        return null;
    }
}
